<template>
  <div class="container">
    <input v-model="filterText" placeholder="Текст для фільтрації">
    <ul class="list-group">

      <li
          v-for="photo in filteredPhotos"
          v-bind:key="photo.id"
          class="list-group-item"
          v-bind:class="{'bg-danger': filterText && photo.title.includes(filterText)}">
        <img :src="photo.thumbnailUrl" alt="Фото">
        {{ photo.title }}
      </li>

    </ul>
  </div>
</template>

<script>
import axios from 'axios';

export default {
  name: 'App',
  data() {
    return {
      photos: [],
      filterText: ''
    };
  },
  computed: {
    filteredPhotos() {
      if (!this.filterText) {
        return this.photos;
      } else {
        return this.photos.filter(photo => photo.title.includes(this.filterText));
      }
    },
  },
  mounted() {
    axios.get('https://jsonplaceholder.typicode.com/photos')
        .then(response => {
          this.photos = response.data;
        })
        .catch(error => {
          console.log(error);
        });
  }
};

</script>
<style>

.container {
  max-width: 800px;
  margin: 0 auto;
}

img {
  width: 20px;
  height: 20px;
}
</style>

